rpms/mysql/F-11 .cvsignore, 1.43, 1.44 mysql-plugin-bug.patch, 1.11, 1.12 mysql.init, 1.26, 1.27 mysql.spec, 1.124, 1.125 sources, 1.43, 1.44

Tom Lane tgl at fedoraproject.org
Thu Dec 17 20:01:48 UTC 2009


Author: tgl

Update of /cvs/pkgs/rpms/mysql/F-11
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv13056

Modified Files:
	.cvsignore mysql-plugin-bug.patch mysql.init mysql.spec 
	sources 
Log Message:
Update to MySQL 5.1.41


Index: .cvsignore
===================================================================
RCS file: /cvs/pkgs/rpms/mysql/F-11/.cvsignore,v
retrieving revision 1.43
retrieving revision 1.44
diff -u -p -r1.43 -r1.44
--- .cvsignore	11 Nov 2009 01:01:04 -0000	1.43
+++ .cvsignore	17 Dec 2009 20:01:47 -0000	1.44
@@ -1 +1 @@
-mysql-5.1.40.tar.gz
+mysql-5.1.41.tar.gz

mysql-plugin-bug.patch:
 disabled.def |    3 +++
 1 file changed, 3 insertions(+)

Index: mysql-plugin-bug.patch
===================================================================
RCS file: /cvs/pkgs/rpms/mysql/F-11/mysql-plugin-bug.patch,v
retrieving revision 1.11
retrieving revision 1.12
diff -u -p -r1.11 -r1.12
--- mysql-plugin-bug.patch	11 Nov 2009 01:01:05 -0000	1.11
+++ mysql-plugin-bug.patch	17 Dec 2009 20:01:47 -0000	1.12
@@ -11,13 +11,13 @@ platform-dependent results, with the "ex
 wrong ones.  This is upstream at http://bugs.mysql.com/bug.php?id=46895
 
 
-diff -Naur mysql-5.1.40.orig/mysql-test/t/disabled.def mysql-5.1.40/mysql-test/t/disabled.def
---- mysql-5.1.40.orig/mysql-test/t/disabled.def	2009-10-06 14:21:05.000000000 -0400
-+++ mysql-5.1.40/mysql-test/t/disabled.def	2009-11-10 13:01:50.000000000 -0500
-@@ -14,3 +14,6 @@
- query_cache_28249        : Bug#43861 2009-03-25 main.query_cache_28249 fails sporadically
- partition_innodb_builtin : Bug#32430 2009-09-25 mattiasj Waiting for push of Innodb changes
+diff -Naur mysql-5.1.41.orig/mysql-test/t/disabled.def mysql-5.1.41/mysql-test/t/disabled.def
+--- mysql-5.1.41.orig/mysql-test/t/disabled.def	2009-11-04 14:00:39.000000000 -0500
++++ mysql-5.1.41/mysql-test/t/disabled.def	2009-11-23 22:04:14.000000000 -0500
+@@ -15,3 +15,6 @@
  partition_innodb_plugin  : Bug#32430 2009-09-25 mattiasj Waiting for push of Innodb changes
+ innodb-autoinc           : Bug#48482 2009-11-02 svoj innodb-autoinc.test fails with results difference
+ rpl_killed_ddl           : Bug#45520: rpl_killed_ddl fails sporadically in pb2
 +#
 +plugin_load         : gives wrong answer on PPC64
 +outfile_loaddata    : gives different results on different platforms


Index: mysql.init
===================================================================
RCS file: /cvs/pkgs/rpms/mysql/F-11/mysql.init,v
retrieving revision 1.26
retrieving revision 1.27
diff -u -p -r1.26 -r1.27
--- mysql.init	11 Nov 2009 01:01:05 -0000	1.26
+++ mysql.init	17 Dec 2009 20:01:47 -0000	1.27
@@ -72,29 +72,34 @@ start(){
 	/usr/bin/mysqld_safe   --datadir="$datadir" --socket="$socketfile" \
 		--pid-file="$mypidfile" \
 		--user=mysql >/dev/null 2>&1 &
-	ret=$?
-	# Spin for a maximum of N seconds waiting for the server to come up.
+	safe_pid=$!
+	# Spin for a maximum of N seconds waiting for the server to come up;
+	# exit the loop immediately if mysqld_safe process disappears.
 	# Rather than assuming we know a valid username, accept an "access
 	# denied" response as meaning the server is functioning.
+	ret=0
+	STARTTIMEOUT=120
+	while [ $STARTTIMEOUT -gt 0 ]; do
+	    RESPONSE=`/usr/bin/mysqladmin --socket="$socketfile" --user=UNKNOWN_MYSQL_USER ping 2>&1` && break
+	    echo "$RESPONSE" | grep -q "Access denied for user" && break
+	    if ! /bin/kill -0 $safe_pid 2>/dev/null; then
+		echo "MySQL Daemon failed to start."
+		ret=1
+		break
+	    fi
+	    sleep 1
+	    let STARTTIMEOUT=${STARTTIMEOUT}-1
+	done
+	if [ $STARTTIMEOUT -eq 0 ]; then
+	    echo "Timeout error occurred trying to start MySQL Daemon."
+	    ret=1
+	fi
 	if [ $ret -eq 0 ]; then
-	    STARTTIMEOUT=60
-	    while [ $STARTTIMEOUT -gt 0 ]; do
-		RESPONSE=`/usr/bin/mysqladmin --socket="$socketfile" --user=UNKNOWN_MYSQL_USER ping 2>&1` && break
-		echo "$RESPONSE" | grep -q "Access denied for user" && break
-		sleep 1
-		let STARTTIMEOUT=${STARTTIMEOUT}-1
-	    done
-	    if [ $STARTTIMEOUT -eq 0 ]; then
-                    echo "Timeout error occurred trying to start MySQL Daemon."
-                    action $"Starting $prog: " /bin/false
-                    ret=1
-            else
-                    action $"Starting $prog: " /bin/true
-            fi
+	    action $"Starting $prog: " /bin/true
+	    touch /var/lock/subsys/mysqld
 	else
-    	    action $"Starting $prog: " /bin/false
+	    action $"Starting $prog: " /bin/false
 	fi
-	[ $ret -eq 0 ] && touch /var/lock/subsys/mysqld
 	return $ret
 }
 


Index: mysql.spec
===================================================================
RCS file: /cvs/pkgs/rpms/mysql/F-11/mysql.spec,v
retrieving revision 1.124
retrieving revision 1.125
diff -u -p -r1.124 -r1.125
--- mysql.spec	11 Nov 2009 01:01:05 -0000	1.124
+++ mysql.spec	17 Dec 2009 20:01:48 -0000	1.125
@@ -1,6 +1,6 @@
 Name: mysql
-Version: 5.1.40
-Release: 1%{?dist}
+Version: 5.1.41
+Release: 2%{?dist}
 Summary: MySQL client programs and shared libraries
 Group: Applications/Databases
 URL: http://www.mysql.com
@@ -649,6 +649,14 @@ fi
 %{_mandir}/man1/mysql_client_test.1*
 
 %changelog
+* Thu Dec 17 2009 Tom Lane <tgl at redhat.com> 5.1.41-2
+- Update to MySQL 5.1.41, for various fixes described at
+  http://dev.mysql.com/doc/refman/5.1/en/news-5-1-41.html
+  including fixes for CVE-2009-4019
+Related: #540906
+- Stop waiting during "service mysqld start" if mysqld_safe exits
+Resolves: #544095
+
 * Tue Nov 10 2009 Tom Lane <tgl at redhat.com> 5.1.40-1
 - Update to MySQL 5.1.40, for various fixes described at
   http://dev.mysql.com/doc/refman/5.1/en/news-5-1-40.html


Index: sources
===================================================================
RCS file: /cvs/pkgs/rpms/mysql/F-11/sources,v
retrieving revision 1.43
retrieving revision 1.44
diff -u -p -r1.43 -r1.44
--- sources	11 Nov 2009 01:01:05 -0000	1.43
+++ sources	17 Dec 2009 20:01:48 -0000	1.44
@@ -1 +1 @@
-32e7373c16271606007374396e6742ad  mysql-5.1.40.tar.gz
+b5d39e8789174753f3c782959729e68c  mysql-5.1.41.tar.gz




More information about the fedora-extras-commits mailing list